Bug 963894 - zeromq 3.2.3: configure --with-system-pgm doesn't detect openpgm-5.2
zeromq 3.2.3: configure --with-system-pgm doesn't detect openpgm-5.2
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: zeromq3 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
:
Depends On: 963891
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 14:06 EDT by Jose Pedro Oliveira
Modified: 2013-09-17 06:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-17 09:53:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2013-05-16 14:06:47 EDT
Description of problem:
The configure{,.in} doesn't detect the pkgconfig file installed by openpgm 5.2.
The problem is that the openpgm pkgconfig filename is versioned and hardcoded to version 5.1 in the configure file.

Version-Release number of selected component (if applicable):
zeromq3-3.2.3-1

How reproducible:
Always if configure --with-system-pgm is used (default configuration in Fedora)

Steps to Reproduce:

Offending line in zeromq3-x.git/configure.in:
    ...
    PKG_CHECK_MODULES([OpenPGM], [openpgm-5.1 >= 5.1])
    ...
  
Additional info:
zeromq3 specfile workaround:
---------
@@ -27,7 +27,7 @@
 BuildRequires:  glib2-devel
 BuildRequires:  libuuid-devel
 %if %{with pgm}
-BuildRequires:  openpgm-devel >= 5.1
+BuildRequires:  openpgm-devel >= 5.2
 %endif
 
 
@@ -64,6 +64,10 @@
 sed -i "s/libzmq_werror=\"yes\"/libzmq_werror=\"no\"/g" \
     configure
 
+# use openpgm 5.2
+sed -i "s/openpgm-5.1/openpgm-5.2/g" \
+    configure
+
 
 %build
 %configure \
----------
Comment 1 Jose Pedro Oliveira 2013-05-16 14:29:24 EDT
OpenPGM 5.2 build for rawhide:

 * openpgm-5.2.122-1.fc20
   http://koji.fedoraproject.org/koji/buildinfo?buildID=419667
Comment 2 Jose Pedro Oliveira 2013-05-16 21:50:22 EDT
Upstream report:
 * https://zeromq.jira.com/browse/LIBZMQ-531
Comment 3 Thomas Spura 2013-05-17 09:53:29 EDT
Thanks for the heads-up.

Actually I don't want to hardcode the version again in the configure file, so I sed the actual openpgm version based on the naming of the openpgm.pc file for now.

Builds are here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5391937
http://koji.fedoraproject.org/koji/taskinfo?taskID=5392029

Feel free to apply for co-maintainership, if you would like to...
Comment 4 Jose Pedro Oliveira 2013-06-01 16:31:21 EDT
(In reply to Jose Pedro Oliveira from comment #2)
> Upstream report:
>  * https://zeromq.jira.com/browse/LIBZMQ-531

Configure.ac patch against libzmq has already been committed (https://github.com/zeromq/libzmq/pull/569). Also made an upstream request to have it backported to the zeromq3-x project.
Comment 5 Jose Pedro Oliveira 2013-06-01 16:37:46 EDT
(In reply to Thomas Spura from comment #3)
> Thanks for the heads-up.
> 
> Actually I don't want to hardcode the version again in the configure file,
> so I sed the actual openpgm version based on the naming of the openpgm.pc
> file for now.
> 
> Builds are here:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=5391937
> http://koji.fedoraproject.org/koji/taskinfo?taskID=5392029
> 
> Feel free to apply for co-maintainership, if you would like to...

Thomas,

I've just requested Commit access to the F19+ and EPEL6 branches.

Regards,
jpo
Comment 6 Thomas Spura 2013-06-03 04:29:46 EDT
(In reply to Jose Pedro Oliveira from comment #4)
> (In reply to Jose Pedro Oliveira from comment #2)
> > Upstream report:
> >  * https://zeromq.jira.com/browse/LIBZMQ-531
> 
> Configure.ac patch against libzmq has already been committed
> (https://github.com/zeromq/libzmq/pull/569). Also made an upstream request
> to have it backported to the zeromq3-x project.

Great. Thanks!

(In reply to Jose Pedro Oliveira from comment #5)
> I've just requested Commit access to the F19+ and EPEL6 branches.

Access granted.
Comment 7 Jose Pedro Oliveira 2013-09-17 06:04:29 EDT
(In reply to Thomas Spura from comment #6)
> (In reply to Jose Pedro Oliveira from comment #4)
> > (In reply to Jose Pedro Oliveira from comment #2)
> > > Upstream report:
> > >  * https://zeromq.jira.com/browse/LIBZMQ-531
> > 
> > Configure.ac patch against libzmq has already been committed
> > (https://github.com/zeromq/libzmq/pull/569). Also made an upstream request
> > to have it backported to the zeromq3-x project.
> 
> Great. Thanks!

The pull request #107 against zeromq3-x has been merged
( https://github.com/zeromq/zeromq3-x/pull/107 )

/jpo

Note You need to log in before you can comment on or make changes to this bug.